Printago API
GET /v1/orders/customers

Get all customers

Requires: order.view

Response Schema

Customer[]
Array of Customer, each with:
countryCodeoptionalnullable
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
emailoptionalnullable
string
externalIdoptionalnullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
nameoptionalnullable
string
phoneoptionalnullable
string
provinceCodeoptionalnullable
string
sourceoptionalnullable
enum
etsyshopifymanualebaytiktok-shopwoocommerceshipstationwix
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
zipCodeoptionalnullable
string

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "email": "string",
    "phone": "string",
    "countryCode": "string",
    "provinceCode": "string",
    "zipCode": "string",
    "externalId": "string",
    "source": "etsy",
    "customMetadata": {},
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]